GoogleTestTestSuiteBinarySpec (Gradle API 8.11)

Package org.gradle.nativeplatform.test.googletest

## Interface GoogleTestTestSuiteBinarySpec

- All Superinterfaces:
    `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`, `NativeBinarySpec`, `NativeTestSuiteBinarySpec`, `TestSuiteBinarySpec`

      @Incubating
      public interface GoogleTestTestSuiteBinarySpec
      extends NativeTestSuiteBinarySpec

  An executable which run a Google Test test suite.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

    - ### Nested classes/interfaces inherited from interface org.gradle.nativeplatform.test.NativeTestSuiteBinarySpec

      `NativeTestSuiteBinarySpec.TasksCollection`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GoogleTestTestSuiteSpec` | `getComponent()` | The component that this binary was built from.
    `GoogleTestTestSuiteSpec` | `getTestSuite()` | Returns the test suite that this binary belongs to.

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.nativeplatform.test.NativeTestSuiteBinarySpec

      `getExecutable, getExecutableFile, getInstallation, getTasks, getTestedBinary`

- - ### Method Detail

    - #### getComponent

          GoogleTestTestSuiteSpec getComponent()

      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`
      Specified by:
        `getComponent` in interface `NativeTestSuiteBinarySpec`

    - #### getTestSuite

          GoogleTestTestSuiteSpec getTestSuite()

      Returns the test suite that this binary belongs to.
      Specified by:
        `getTestSuite` in interface `NativeTestSuiteBinarySpec`
      Specified by:
        `getTestSuite` in interface `TestSuiteBinarySpec`